Retrieve a single person
Returns detailed information about a single person in the organization by their public ID. Returns personal details, employment information, organizational structure, person status, direct manager, custom fields, and related data.
Token scopes: people:read
Deprecated: a newer version of this endpoint is available. This version is scheduled for removal on 2027-10-12.
Beta version available: version 2026-10-12 of this endpoint is in beta. Send X-Beta: true to call it.
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
hris_profile_id
Unique identifier for the person.
Query parameters
include_custom_fields
Include custom fields in the response.
include_worker_relations
Include worker relations in the response.
Response
Successful response
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error